//
//  TSLaunchVC.swift
//  TSLiveWallpaper
//
//  Created by 100Years on 2024/12/20.
//


class TSLaunchVC : UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        setupLaunchScreenView()
     
    }
    
    private func setupLaunchScreenView() {
        // 获取 LaunchScreen.storyboard 的视图控制器
        let storyboard = UIStoryboard(name: "LaunchScreen", bundle: nil)
        guard let launchVC = storyboard.instantiateInitialViewController() else {
            debugPrint("无法加载 LaunchScreen 的初始视图控制器")
            return
        }
        
        // 获取 LaunchScreen 的视图
        guard let launchView = launchVC.view else {
            debugPrint("无法获取 LaunchScreen 的视图")
            return
        }
        
        // 设置 launchView 的 frame 为当前视图的 bounds
        launchView.frame = UIScreen.main.bounds
     
        // 将 launchView 添加到 TSLaunchVC 的视图中
        self.view.addSubview(launchView)
        
    }
}
